#
# spec file for package clementine
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xcfa
Version:        4.2.8
Release:        3.73
Summary:        A lightweight multimedia converter and audio CD ripper
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Players
Url:            http://www.xcfa.tuxfamily.org/static2/xcfa
Source0:        http://download.tuxfamily.org/xcfaudio/xcfa_download/src/%{name}-%{version}.tar.gz
Patch0:         deskop_file_valid.patch
Patch1:         manpage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ pkg-config glib2-devel gtk2-devel alsa-devel libcurl-devel
%if 0%{?suse_version} == 1140
BuildRequires:  taglib-devel vte-devel
%endif
%if 0%{?suse_version} >= 1210
BuildRequires:  libtag-devel vte2-devel
%endif

BuildRequires:  fdupes
Requires(post): desktop-file-utils update-desktop-files
Suggests:       %{name}-lang
Recommends: lsdvd cdparanoia flac faac faad2 lame vorbisgain wavpack mplayer mp3gain normalize vorbis-tools 

%description
XFCA (X Convert File Audio) is a tool to create audio files out of a DVD, convert audio files into another, and rip audio CDs.

%lang_package

%prep
%setup -q
%patch0 -p1
#rm menu/xcfa.desktop
gunzip man/xcfa.gz
%patch1 -p1
gzip man/xcfa

%build
export CXXFLAGS="%{optflags}"
export CFLAGS="$CXXFLAGS"
%configure --prefix %{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}



%install
%make_install
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}
#%%suse_update_desktop_file -c xcfa xcfa "X Convert File Audio. Program for converting audio files." xcfa xcfa AudioVideo 

%post
update-desktop-database > /dev/null
echo "The standard language of this tool is french."
echo "So please install xcfa-lang for language support (includes english)"

%postun
update-desktop-database > /dev/null

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%dir %{_libdir}/mime
%dir %{_libdir}/mime/packages
%dir %{_datadir}/pixmaps/xcfa
%dir %{_datadir}/xcfa
%dir %{_datadir}/xcfa/glade

%{_bindir}/xcfa
%{_libdir}/mime/packages/xcfa
%{_datadir}/applications/xcfa.desktop
%{_mandir}/man1/xcfa.1.gz
%{_datadir}/pixmaps/xcfa-cd.png
%{_datadir}/pixmaps/xcfa.png
%{_datadir}/pixmaps/xcfa.xpm
%{_datadir}/pixmaps/xcfa/2ch.png
%{_datadir}/pixmaps/xcfa/about.png
%{_datadir}/pixmaps/xcfa/coche.png
%{_datadir}/pixmaps/xcfa/coche_exist.png
%{_datadir}/pixmaps/xcfa/dbfs-no.png
%{_datadir}/pixmaps/xcfa/gplv3.png
%{_datadir}/pixmaps/xcfa/no_play.png
%{_datadir}/pixmaps/xcfa/norm_fix.png
%{_datadir}/pixmaps/xcfa/norm_mix.png
%{_datadir}/pixmaps/xcfa/norm_peak.png
%{_datadir}/pixmaps/xcfa/norm_rpg_wait.png
%{_datadir}/pixmaps/xcfa/normalize2.png
%{_datadir}/pixmaps/xcfa/not_install.png
%{_datadir}/pixmaps/xcfa/prg-ok.png
%{_datadir}/pixmaps/xcfa/rpg_album.png
%{_datadir}/pixmaps/xcfa/rpg_effacer.png
%{_datadir}/pixmaps/xcfa/rpg_piste.png
%{_datadir}/pixmaps/xcfa/selected.png
%{_datadir}/pixmaps/xcfa/selected_exist.png
%{_datadir}/pixmaps/xcfa/selected_expert.png
%{_datadir}/pixmaps/xcfa/selected_expert_exist.png
%{_datadir}/pixmaps/xcfa/sol.png
%{_datadir}/pixmaps/xcfa/trash.png
%{_datadir}/xcfa/glade/xcfa.glade


%files lang -f %{name}.lang

%changelog
* Thu Apr 12 2012 p.seiler@linuxmail.org
-corrected typo mistake
- added information about the language file postinstall section
* Thu Mar 15 2012 p.seiler@linuxmail.org
- readded patch and removed %%suse-update-desktop-files
- changed recommends from oggenc (doesn't exist) to vorbis-tools
* Thu Mar 15 2012 seiler@b1-systems.de
- added multimedia recommends to spec file -> next task copy to packman
* Tue Feb 28 2012 seiler@b1-systems.de
- removed unneeded build dependencies to get this thing build on sles11sp1 and opensuse 11.4
- added patch to remove unneeded informations on manpage
* Mon Feb 27 2012 seiler@b1-systems.de
- added condition to correct the buildrequirements for openSUSE 11.4
  nothing provides libtag_c0, nothing provides libtag-devel, nothing provides vte2-devel
* Mon Feb 27 2012 seiler@b1-systems.de
- added sources
- created specfile
- created patch to prevent *desktop file error
- added fdupes to decrease the file size and prevent duplicate file error
